+ Reply to Thread
Page 1 of 2 1 2 LastLast
Results 1 to 10 of 13
  1. #1
    Junior Member herb6874's Avatar
    Using
    Civil 3D 2011
    Join Date
    Feb 2010
    Location
    Vancouver
    Posts
    14

    Default Curb Return Tables

    Registered forum members do not see this ad.

    I need to find out how to create a curb return table
    with the following information
    curb No.
    Length
    Radius
    Delta
    Tangent
    Beginning of curve (station)
    End of Curve (station)
    from near alignment
    So far I have been able to create the the table without the stationing
    If you can help me out to find the way to imput the data in my table
    will help me a lot.

    Thanks

    Hector

  2. #2
    Forum Deity BlackBox's Avatar
    Computer Details
    BlackBox's Computer Details
    Operating System:
    Windows 8.1 Professional, Server 2012 R2 Datacenter
    Computer:
    Dell Precision T3600
    CPU:
    Hex-Core Intel Xeon 3.2Ghz
    RAM:
    32GB
    Graphics:
    3GB NVIDIA Quadro K4000
    Primary Storage:
    256GB SSD
    Secondary Storage:
    1TB Western Digital VelociRaptor 10K RPM
    Monitor:
    Dual 24" Dell Ultrasharp Widescreen Monitors
    Using
    Civil 3D 2015
    Join Date
    Nov 2009
    Posts
    4,604

    Default

    This may be helpful:
    http://forums.augi.com/showthread.ph...49#post1088949

    Granted, you'll need to modify the code a bit.
    "Potential has a shelf life." - Margaret Atwood

    Autodesk Exchange Apps
    ~ Autoloader ~ AutoCAD Security

  3. #3
    Senior Member
    Using
    Civil 3D 2011
    Join Date
    Jul 2008
    Location
    Colorado
    Posts
    247

    Default

    How did you create your table? I don't think C3D 2009 could do Line/Curve tables... So are you using Parcel or Alignment tables? Or plain Autocad tables?

    Regardless, there's no easy way to create such a table in C3D, even in C3D 2011. The problem is the stationing - there's no way to create a General Line/Curve table that has start/end stations on it. In C3D, the only easy thing to do is create the curve table, and then label the station/offset of each end of the curves in plan view using a StationOffset Label. Getting stationing into tables pose a problem...

    If it's possible at all using C3D tables in 2009, then I think the only hope at all is a Pipe Table. You would basically need to pretend your curb returns are pipes, at least as far as creating the table goes. Not sure if it will work or not, though... It would take some experimenting.
    Richard 'Sinc' Sincovec
    Manager of Technology - Edward-James Surveying
    Tools for Civil 3D - Quux Software

  4. #4
    Luminous Being
    Using
    Civil 3D 2013
    Join Date
    Dec 2005
    Location
    GEELONG AUSTRALIA
    Posts
    5,090

    Default

    Under Civ3d 2011 menu option "Lines/curves" there is an option "Add tables" not sure if this helps I haven't used them.

  5. #5
    Forum Deity BlackBox's Avatar
    Computer Details
    BlackBox's Computer Details
    Operating System:
    Windows 8.1 Professional, Server 2012 R2 Datacenter
    Computer:
    Dell Precision T3600
    CPU:
    Hex-Core Intel Xeon 3.2Ghz
    RAM:
    32GB
    Graphics:
    3GB NVIDIA Quadro K4000
    Primary Storage:
    256GB SSD
    Secondary Storage:
    1TB Western Digital VelociRaptor 10K RPM
    Monitor:
    Dual 24" Dell Ultrasharp Widescreen Monitors
    Using
    Civil 3D 2015
    Join Date
    Nov 2009
    Posts
    4,604

    Default

    Quote Originally Posted by sinc View Post
    How did you create your table? I don't think C3D 2009 could do Line/Curve tables... So are you using Parcel or Alignment tables? Or plain Autocad tables?
    As I use 2009 myself, I'm inclined to believe the OP might be using plain AutoCAD tables. If not, maybe the OP can clarify..?

    Quote Originally Posted by sinc View Post
    Regardless, there's no easy way to create such a table in C3D, even in C3D 2011. The problem is the stationing - there's no way to create a General Line/Curve table that has start/end stations on it. In C3D, the only easy thing to do is create the curve table, and then label the station/offset of each end of the curves in plan view using a StationOffset Label. Getting stationing into tables pose a problem...
    You mean, like this:

    Code:
    (defun c:CurveData (/ ss radius delta arcLen chordLen chordBear spStaOff epStaOff)
      (vl-load-com)
      (cr_mnl)
      (if (not f:adproj)
        (load2 "ad" "adproj"))
      (cond
        (*activeDoc*)
        ((setq *activeDoc* (vla-get-activedocument (vlax-get-acad-object)))))
      (if (setq ss (ssget ":S:E" '((0 . "ARC"))))
        (progn
          (vlax-for x (setq ss (vla-get-activeselectionset *activeDoc*))
            (setq radius (strcat "\n\t\tRADIUS         >>  " (rtos (vla-get-radius x) 2 2) "'"))
            (setq delta (strcat "\n\t\tDELTA          >>  " (angtos (abs (- (vla-get-startangle x) (vla-get-endangle x))) 1)))
            (setq arcLen (strcat "\n\t\tARC LENGTH     >>  " (rtos (vla-get-arclength x) 2 2) "'"))
            (setq chordLen (strcat "\n\t\tCHORD LENGTH   >>  " (rtos (distance (setq sp (vlax-curve-getstartpoint x)) (setq ep (vlax-curve-getendpoint x))) 2 2) "'"))
            (setq chordBear (strcat "\n\t\tCHORD BEARING  >>  " (angtos (angle sp ep) 4)))
            (setq spStaOff (strcat "\n\t\tBEGIN STATION  >>  " (f:sta (car (f:gstaoff (f:ne sp))))))
            (setq epStaOff (strcat "\n\t\tEND STATION    >>  " (f:sta (car (f:gstaoff (f:ne ep)))))))
          (vla-delete ss)
          (textpage)
          (prompt "\nCurve Table: ")
          (prompt "\n---------------------------------- ")
          (prompt (strcat radius delta arcLen chordLen chordBear spStaOff epStaOff))
          (prompt "\n---------------------------------- ")
          (terpri)))
      (princ)) ;_end defun
    Note - Program tested using C3D 2009 LDC.

    Now all the OP needs to do is modify the code to plug the variables into an AutoCAD table of their choosing.

    Hope this helps!
    "Potential has a shelf life." - Margaret Atwood

    Autodesk Exchange Apps
    ~ Autoloader ~ AutoCAD Security

  6. #6
    Senior Member
    Using
    Civil 3D 2011
    Join Date
    Jul 2008
    Location
    Colorado
    Posts
    247

    Default

    Quote Originally Posted by RenderMan View Post
    Note - Program tested using C3D 2009 LDC.
    Civil 3D 2009? Or Land Desktop Companion 2009?
    Richard 'Sinc' Sincovec
    Manager of Technology - Edward-James Surveying
    Tools for Civil 3D - Quux Software

  7. #7
    Forum Deity BlackBox's Avatar
    Computer Details
    BlackBox's Computer Details
    Operating System:
    Windows 8.1 Professional, Server 2012 R2 Datacenter
    Computer:
    Dell Precision T3600
    CPU:
    Hex-Core Intel Xeon 3.2Ghz
    RAM:
    32GB
    Graphics:
    3GB NVIDIA Quadro K4000
    Primary Storage:
    256GB SSD
    Secondary Storage:
    1TB Western Digital VelociRaptor 10K RPM
    Monitor:
    Dual 24" Dell Ultrasharp Widescreen Monitors
    Using
    Civil 3D 2015
    Join Date
    Nov 2009
    Posts
    4,604

    Default

    Quote Originally Posted by sinc View Post
    Civil 3D 2009? Or Land Desktop Companion 2009?
    Sorry for not being more clear:

    Quote Originally Posted by RenderMan View Post
    Note - Program tested using C3D 2009 [Land Desktop Companion].
    [edit]
    After additional testing, using C3D 2009 (non-LDC), the functions highlighted in blue above are not recognized. I will work to find their replacements for C3D, and report back if/when identified.
    [/edit]
    Last edited by BlackBox; 25th Aug 2010 at 05:42 pm. Reason: Additional testing comments
    "Potential has a shelf life." - Margaret Atwood

    Autodesk Exchange Apps
    ~ Autoloader ~ AutoCAD Security

  8. #8
    Forum Deity BlackBox's Avatar
    Computer Details
    BlackBox's Computer Details
    Operating System:
    Windows 8.1 Professional, Server 2012 R2 Datacenter
    Computer:
    Dell Precision T3600
    CPU:
    Hex-Core Intel Xeon 3.2Ghz
    RAM:
    32GB
    Graphics:
    3GB NVIDIA Quadro K4000
    Primary Storage:
    256GB SSD
    Secondary Storage:
    1TB Western Digital VelociRaptor 10K RPM
    Monitor:
    Dual 24" Dell Ultrasharp Widescreen Monitors
    Using
    Civil 3D 2015
    Join Date
    Nov 2009
    Posts
    4,604

    Default

    These were extracted from my previous post's edit, as there were beginning to be a couple of other potential solutions:

    There's the Curve Calculator tool in C3D:
    (._AeccCurveCalculator command, or Lines/Curves >> Curve Calculator)

    There's the ._CGList command (not sure of the menu pull down?).

    But this still does not plug the vlaues into a table, nor does it provide for the station and offset of the endpoints.
    "Potential has a shelf life." - Margaret Atwood

    Autodesk Exchange Apps
    ~ Autoloader ~ AutoCAD Security

  9. #9
    Junior Member herb6874's Avatar
    Using
    Civil 3D 2011
    Join Date
    Feb 2010
    Location
    Vancouver
    Posts
    14

    Default

    Hi I am using Civil 3D 2009 and I have to use a parcel table because
    it is offset from the alignment.
    This arcs are are part of the edge of road in an intersection and they have to be related
    to the nearest alignment.
    I can get stationing into the alignment table bbut not for this ones on the side
    Thanks for your help

    Hector

  10. #10
    Senior Member
    Using
    Civil 3D 2011
    Join Date
    Jul 2008
    Location
    Colorado
    Posts
    247

    Default

    Registered forum members do not see this ad.

    Quote Originally Posted by RenderMan View Post
    After additional testing, using C3D 2009 (non-LDC), the functions highlighted in blue above are not recognized. I will work to find their replacements for C3D, and report back if/when identified.
    Don't look too hard... C3D is very different from LDC. To start, there is no concept of a "current alignment" in C3D. Making something similar that works in C3D will take a fair bit more effort...
    Richard 'Sinc' Sincovec
    Manager of Technology - Edward-James Surveying
    Tools for Civil 3D - Quux Software

Similar Threads

  1. Return to Dialog if ..Need help with this lisp
    By sadhu in forum AutoLISP, Visual LISP & DCL
    Replies: 16
    Last Post: 9th Mar 2010, 04:55 pm
  2. VB to return nr of vertices of leader
    By Jozi68 in forum AutoLISP, Visual LISP & DCL
    Replies: 4
    Last Post: 19th Aug 2009, 12:30 pm
  3. How to return value Autolisp function
    By techjunkie09 in forum AutoLISP, Visual LISP & DCL
    Replies: 30
    Last Post: 21st Jul 2009, 05:46 pm
  4. 2006 space bar for return
    By wehaveaproblem in forum AutoCAD Drawing Management & Output
    Replies: 0
    Last Post: 16th May 2005, 05:31 pm
  5. return layer name from dialog box
    By Mark Thomas in forum AutoLISP, Visual LISP & DCL
    Replies: 0
    Last Post: 7th May 2004, 06:12 pm

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts